
//----------------------------------------------------
// The following code was generated by CUP v0.11b 20160615 (GIT 4ac7450)
//----------------------------------------------------

package Analizador;

import java_cup.runtime.Symbol;
import java.util.LinkedList;
import java.util.Iterator;
import arbol4D.*;
import java_cup.runtime.XMLElement;

/** CUP v0.11b 20160615 (GIT 4ac7450) generated parser.
  */
@SuppressWarnings({"rawtypes"})
public class A_Sintactico extends java_cup.runtime.lr_parser {

 public final Class getSymbolContainer() {
    return Simbolos.class;
}

  /** Default constructor. */
  @Deprecated
  public A_Sintactico() {super();}

  /** Constructor which sets the default scanner. */
  @Deprecated
  public A_Sintactico(java_cup.runtime.Scanner s) {super(s);}

  /** Constructor which sets the default scanner. */
  public A_Sintactico(java_cup.runtime.Scanner s, java_cup.runtime.SymbolFactory sf) {super(s,sf);}

  /** Production table. */
  protected static final short _production_table[][] = 
    unpackFromStrings(new String[] {
    "\000\047\000\002\002\004\000\002\002\003\000\002\003" +
    "\004\000\002\003\003\000\002\004\011\000\002\004\011" +
    "\000\002\004\011\000\002\004\011\000\002\004\011\000" +
    "\002\004\011\000\002\004\011\000\002\004\010\000\002" +
    "\004\010\000\002\004\010\000\002\004\011\000\002\004" +
    "\011\000\002\004\011\000\002\004\011\000\002\004\011" +
    "\000\002\004\011\000\002\004\011\000\002\004\011\000" +
    "\002\004\007\000\002\004\015\000\002\004\007\000\002" +
    "\004\011\000\002\004\004\000\002\005\003\000\002\005" +
    "\003\000\002\005\003\000\002\005\003\000\002\005\003" +
    "\000\002\006\003\000\002\006\003\000\002\006\003\000" +
    "\002\006\003\000\002\007\003\000\002\007\003\000\002" +
    "\007\003" });

  /** Access to production table. */
  public short[][] production_table() {return _production_table;}

  /** Parse-action table. */
  protected static final short[][] _action_table = 
    unpackFromStrings(new String[] {
    "\000\223\000\044\004\020\005\012\006\007\007\014\011" +
    "\025\012\015\016\010\017\024\020\023\021\021\022\016" +
    "\023\013\024\006\025\022\027\017\030\005\035\026\001" +
    "\002\000\050\002\ufffe\004\ufffe\005\ufffe\006\ufffe\007\ufffe" +
    "\011\ufffe\012\ufffe\016\ufffe\017\ufffe\020\ufffe\021\ufffe\022" +
    "\ufffe\023\ufffe\024\ufffe\025\ufffe\026\ufffe\027\ufffe\030\ufffe" +
    "\035\ufffe\001\002\000\004\013\215\001\002\000\004\010" +
    "\207\001\002\000\004\010\201\001\002\000\004\010\175" +
    "\001\002\000\046\002\000\004\020\005\012\006\007\007" +
    "\014\011\025\012\015\016\010\017\024\020\023\021\021" +
    "\022\016\023\013\024\006\025\022\027\017\030\005\035" +
    "\026\001\002\000\004\010\167\001\002\000\004\010\161" +
    "\001\002\000\004\010\153\001\002\000\004\010\126\001" +
    "\002\000\004\010\120\001\002\000\004\010\114\001\002" +
    "\000\004\010\106\001\002\000\004\010\100\001\002\000" +
    "\004\010\065\001\002\000\004\010\057\001\002\000\004" +
    "\010\051\001\002\000\004\010\032\001\002\000\004\015" +
    "\031\001\002\000\004\002\030\001\002\000\004\002\001" +
    "\001\002\000\050\002\uffe7\004\uffe7\005\uffe7\006\uffe7\007" +
    "\uffe7\011\uffe7\012\uffe7\016\uffe7\017\uffe7\020\uffe7\021\uffe7" +
    "\022\uffe7\023\uffe7\024\uffe7\025\uffe7\026\uffe7\027\uffe7\030" +
    "\uffe7\035\uffe7\001\002\000\014\034\036\036\035\037\034" +
    "\043\040\044\037\001\002\000\004\010\041\001\002\000" +
    "\006\010\uffe5\014\uffe5\001\002\000\006\010\uffe4\014\uffe4" +
    "\001\002\000\006\010\uffe6\014\uffe6\001\002\000\006\010" +
    "\uffe2\014\uffe2\001\002\000\006\010\uffe3\014\uffe3\001\002" +
    "\000\014\034\036\036\035\037\034\043\040\044\037\001" +
    "\002\000\004\010\043\001\002\000\012\034\045\035\044" +
    "\043\047\044\050\001\002\000\050\002\uffe0\004\uffe0\005" +
    "\uffe0\006\uffe0\007\uffe0\011\uffe0\012\uffe0\016\uffe0\017\uffe0" +
    "\020\uffe0\021\uffe0\022\uffe0\023\uffe0\024\uffe0\025\uffe0\026" +
    "\uffe0\027\uffe0\030\uffe0\035\uffe0\001\002\000\050\002\uffe1" +
    "\004\uffe1\005\uffe1\006\uffe1\007\uffe1\011\uffe1\012\uffe1\016" +
    "\uffe1\017\uffe1\020\uffe1\021\uffe1\022\uffe1\023\uffe1\024\uffe1" +
    "\025\uffe1\026\uffe1\027\uffe1\030\uffe1\035\uffe1\001\002\000" +
    "\050\002\ufff9\004\ufff9\005\ufff9\006\ufff9\007\ufff9\011\ufff9" +
    "\012\ufff9\016\ufff9\017\ufff9\020\ufff9\021\ufff9\022\ufff9\023" +
    "\ufff9\024\ufff9\025\ufff9\026\ufff9\027\ufff9\030\ufff9\035\ufff9" +
    "\001\002\000\050\002\uffdf\004\uffdf\005\uffdf\006\uffdf\007" +
    "\uffdf\011\uffdf\012\uffdf\016\uffdf\017\uffdf\020\uffdf\021\uffdf" +
    "\022\uffdf\023\uffdf\024\uffdf\025\uffdf\026\uffdf\027\uffdf\030" +
    "\uffdf\035\uffdf\001\002\000\050\002\uffde\004\uffde\005\uffde" +
    "\006\uffde\007\uffde\011\uffde\012\uffde\016\uffde\017\uffde\020" +
    "\uffde\021\uffde\022\uffde\023\uffde\024\uffde\025\uffde\026\uffde" +
    "\027\uffde\030\uffde\035\uffde\001\002\000\014\034\036\036" +
    "\035\037\034\043\040\044\037\001\002\000\004\010\053" +
    "\001\002\000\014\034\036\036\035\037\034\043\040\044" +
    "\037\001\002\000\004\010\055\001\002\000\012\034\045" +
    "\035\044\043\047\044\050\001\002\000\050\002\ufff1\004" +
    "\ufff1\005\ufff1\006\ufff1\007\ufff1\011\ufff1\012\ufff1\016\ufff1" +
    "\017\ufff1\020\ufff1\021\ufff1\022\ufff1\023\ufff1\024\ufff1\025" +
    "\ufff1\026\ufff1\027\ufff1\030\ufff1\035\ufff1\001\002\000\014" +
    "\034\036\036\035\037\034\043\040\044\037\001\002\000" +
    "\004\010\061\001\002\000\014\034\036\036\035\037\034" +
    "\043\040\044\037\001\002\000\004\010\063\001\002\000" +
    "\012\034\045\035\044\043\047\044\050\001\002\000\050" +
    "\002\ufff0\004\ufff0\005\ufff0\006\ufff0\007\ufff0\011\ufff0\012" +
    "\ufff0\016\ufff0\017\ufff0\020\ufff0\021\ufff0\022\ufff0\023\ufff0" +
    "\024\ufff0\025\ufff0\026\ufff0\027\ufff0\030\ufff0\035\ufff0\001" +
    "\002\000\004\010\066\001\002\000\004\010\067\001\002" +
    "\000\004\040\070\001\002\000\044\004\020\005\012\006" +
    "\007\007\014\011\025\012\015\016\010\017\024\020\023" +
    "\021\021\022\016\023\013\024\006\025\022\027\017\030" +
    "\005\035\026\001\002\000\046\004\020\005\012\006\007" +
    "\007\014\011\025\012\015\016\010\017\024\020\023\021" +
    "\021\022\016\023\013\024\006\025\022\026\073\027\017" +
    "\030\005\035\026\001\002\000\050\002\uffff\004\uffff\005" +
    "\uffff\006\uffff\007\uffff\011\uffff\012\uffff\016\uffff\017\uffff" +
    "\020\uffff\021\uffff\022\uffff\023\uffff\024\uffff\025\uffff\026" +
    "\uffff\027\uffff\030\uffff\035\uffff\001\002\000\004\010\074" +
    "\001\002\000\004\010\075\001\002\000\004\010\076\001" +
    "\002\000\004\040\077\001\002\000\050\002\uffea\004\uffea" +
    "\005\uffea\006\uffea\007\uffea\011\uffea\012\uffea\016\uffea\017" +
    "\uffea\020\uffea\021\uffea\022\uffea\023\uffea\024\uffea\025\uffea" +
    "\026\uffea\027\uffea\030\uffea\035\uffea\001\002\000\014\034" +
    "\036\036\035\037\034\043\040\044\037\001\002\000\004" +
    "\010\102\001\002\000\014\034\036\036\035\037\034\043" +
    "\040\044\037\001\002\000\004\010\104\001\002\000\012" +
    "\034\045\035\044\043\047\044\050\001\002\000\050\002" +
    "\uffef\004\uffef\005\uffef\006\uffef\007\uffef\011\uffef\012\uffef" +
    "\016\uffef\017\uffef\020\uffef\021\uffef\022\uffef\023\uffef\024" +
    "\uffef\025\uffef\026\uffef\027\uffef\030\uffef\035\uffef\001\002" +
    "\000\014\034\036\036\035\037\034\043\040\044\037\001" +
    "\002\000\004\010\110\001\002\000\014\034\036\036\035" +
    "\037\034\043\040\044\037\001\002\000\004\010\112\001" +
    "\002\000\012\034\045\035\044\043\047\044\050\001\002" +
    "\000\050\002\ufffd\004\ufffd\005\ufffd\006\ufffd\007\ufffd\011" +
    "\ufffd\012\ufffd\016\ufffd\017\ufffd\020\ufffd\021\ufffd\022\ufffd" +
    "\023\ufffd\024\ufffd\025\ufffd\026\ufffd\027\ufffd\030\ufffd\035" +
    "\ufffd\001\002\000\004\010\115\001\002\000\004\010\116" +
    "\001\002\000\004\040\117\001\002\000\050\002\uffe9\004" +
    "\uffe9\005\uffe9\006\uffe9\007\uffe9\011\uffe9\012\uffe9\016\uffe9" +
    "\017\uffe9\020\uffe9\021\uffe9\022\uffe9\023\uffe9\024\uffe9\025" +
    "\uffe9\026\uffe9\027\uffe9\030\uffe9\035\uffe9\001\002\000\014" +
    "\034\036\036\035\037\034\043\040\044\037\001\002\000" +
    "\004\010\122\001\002\000\014\034\036\036\035\037\034" +
    "\043\040\044\037\001\002\000\004\010\124\001\002\000" +
    "\012\034\045\035\044\043\047\044\050\001\002\000\050" +
    "\002\uffee\004\uffee\005\uffee\006\uffee\007\uffee\011\uffee\012" +
    "\uffee\016\uffee\017\uffee\020\uffee\021\uffee\022\uffee\023\uffee" +
    "\024\uffee\025\uffee\026\uffee\027\uffee\030\uffee\035\uffee\001" +
    "\002\000\020\034\036\036\035\037\034\041\130\042\131" +
    "\043\040\044\037\001\002\000\004\010\142\001\002\000" +
    "\004\010\136\001\002\000\004\010\132\001\002\000\014" +
    "\034\036\036\035\037\034\043\040\044\037\001\002\000" +
    "\004\010\134\001\002\000\012\034\045\035\044\043\047" +
    "\044\050\001\002\000\050\002\ufff2\004\ufff2\005\ufff2\006" +
    "\ufff2\007\ufff2\011\ufff2\012\ufff2\016\ufff2\017\ufff2\020\ufff2" +
    "\021\ufff2\022\ufff2\023\ufff2\024\ufff2\025\ufff2\026\ufff2\027" +
    "\ufff2\030\ufff2\035\ufff2\001\002\000\014\034\036\036\035" +
    "\037\034\043\040\044\037\001\002\000\004\010\140\001" +
    "\002\000\012\034\045\035\044\043\047\044\050\001\002" +
    "\000\050\002\ufff3\004\ufff3\005\ufff3\006\ufff3\007\ufff3\011" +
    "\ufff3\012\ufff3\016\ufff3\017\ufff3\020\ufff3\021\ufff3\022\ufff3" +
    "\023\ufff3\024\ufff3\025\ufff3\026\ufff3\027\ufff3\030\ufff3\035" +
    "\ufff3\001\002\000\016\010\144\034\036\036\035\037\034" +
    "\043\040\044\037\001\002\000\004\010\150\001\002\000" +
    "\010\034\145\043\147\044\146\001\002\000\050\002\ufff6" +
    "\004\ufff6\005\ufff6\006\ufff6\007\ufff6\011\ufff6\012\ufff6\016" +
    "\ufff6\017\ufff6\020\ufff6\021\ufff6\022\ufff6\023\ufff6\024\ufff6" +
    "\025\ufff6\026\ufff6\027\ufff6\030\ufff6\035\ufff6\001\002\000" +
    "\050\002\ufff4\004\ufff4\005\ufff4\006\ufff4\007\ufff4\011\ufff4" +
    "\012\ufff4\016\ufff4\017\ufff4\020\ufff4\021\ufff4\022\ufff4\023" +
    "\ufff4\024\ufff4\025\ufff4\026\ufff4\027\ufff4\030\ufff4\035\ufff4" +
    "\001\002\000\050\002\ufff5\004\ufff5\005\ufff5\006\ufff5\007" +
    "\ufff5\011\ufff5\012\ufff5\016\ufff5\017\ufff5\020\ufff5\021\ufff5" +
    "\022\ufff5\023\ufff5\024\ufff5\025\ufff5\026\ufff5\027\ufff5\030" +
    "\ufff5\035\ufff5\001\002\000\006\041\151\042\152\001\002" +
    "\000\050\002\ufff8\004\ufff8\005\ufff8\006\ufff8\007\ufff8\011" +
    "\ufff8\012\ufff8\016\ufff8\017\ufff8\020\ufff8\021\ufff8\022\ufff8" +
    "\023\ufff8\024\ufff8\025\ufff8\026\ufff8\027\ufff8\030\ufff8\035" +
    "\ufff8\001\002\000\050\002\ufff7\004\ufff7\005\ufff7\006\ufff7" +
    "\007\ufff7\011\ufff7\012\ufff7\016\ufff7\017\ufff7\020\ufff7\021" +
    "\ufff7\022\ufff7\023\ufff7\024\ufff7\025\ufff7\026\ufff7\027\ufff7" +
    "\030\ufff7\035\ufff7\001\002\000\014\034\036\036\035\037" +
    "\034\043\040\044\037\001\002\000\004\010\155\001\002" +
    "\000\014\034\036\036\035\037\034\043\040\044\037\001" +
    "\002\000\004\010\157\001\002\000\012\034\045\035\044" +
    "\043\047\044\050\001\002\000\050\002\ufffa\004\ufffa\005" +
    "\ufffa\006\ufffa\007\ufffa\011\ufffa\012\ufffa\016\ufffa\017\ufffa" +
    "\020\ufffa\021\ufffa\022\ufffa\023\ufffa\024\ufffa\025\ufffa\026" +
    "\ufffa\027\ufffa\030\ufffa\035\ufffa\001\002\000\014\034\036" +
    "\036\035\037\034\043\040\044\037\001\002\000\004\010" +
    "\163\001\002\000\014\034\036\036\035\037\034\043\040" +
    "\044\037\001\002\000\004\010\165\001\002\000\012\034" +
    "\045\035\044\043\047\044\050\001\002\000\050\002\uffed" +
    "\004\uffed\005\uffed\006\uffed\007\uffed\011\uffed\012\uffed\016" +
    "\uffed\017\uffed\020\uffed\021\uffed\022\uffed\023\uffed\024\uffed" +
    "\025\uffed\026\uffed\027\uffed\030\uffed\035\uffed\001\002\000" +
    "\014\034\036\036\035\037\034\043\040\044\037\001\002" +
    "\000\004\010\171\001\002\000\014\034\036\036\035\037" +
    "\034\043\040\044\037\001\002\000\004\010\173\001\002" +
    "\000\012\034\045\035\044\043\047\044\050\001\002\000" +
    "\050\002\ufffc\004\ufffc\005\ufffc\006\ufffc\007\ufffc\011\ufffc" +
    "\012\ufffc\016\ufffc\017\ufffc\020\ufffc\021\ufffc\022\ufffc\023" +
    "\ufffc\024\ufffc\025\ufffc\026\ufffc\027\ufffc\030\ufffc\035\ufffc" +
    "\001\002\000\004\010\176\001\002\000\004\010\177\001" +
    "\002\000\012\034\045\035\044\043\047\044\050\001\002" +
    "\000\050\002\uffeb\004\uffeb\005\uffeb\006\uffeb\007\uffeb\011" +
    "\uffeb\012\uffeb\016\uffeb\017\uffeb\020\uffeb\021\uffeb\022\uffeb" +
    "\023\uffeb\024\uffeb\025\uffeb\026\uffeb\027\uffeb\030\uffeb\035" +
    "\uffeb\001\002\000\014\034\036\036\035\037\034\043\040" +
    "\044\037\001\002\000\004\010\203\001\002\000\014\034" +
    "\036\036\035\037\034\043\040\044\037\001\002\000\004" +
    "\010\205\001\002\000\012\034\045\035\044\043\047\044" +
    "\050\001\002\000\050\002\ufffb\004\ufffb\005\ufffb\006\ufffb" +
    "\007\ufffb\011\ufffb\012\ufffb\016\ufffb\017\ufffb\020\ufffb\021" +
    "\ufffb\022\ufffb\023\ufffb\024\ufffb\025\ufffb\026\ufffb\027\ufffb" +
    "\030\ufffb\035\ufffb\001\002\000\014\034\036\036\035\037" +
    "\034\043\040\044\037\001\002\000\004\010\211\001\002" +
    "\000\014\034\036\036\035\037\034\043\040\044\037\001" +
    "\002\000\004\010\213\001\002\000\012\034\045\035\044" +
    "\043\047\044\050\001\002\000\050\002\uffec\004\uffec\005" +
    "\uffec\006\uffec\007\uffec\011\uffec\012\uffec\016\uffec\017\uffec" +
    "\020\uffec\021\uffec\022\uffec\023\uffec\024\uffec\025\uffec\026" +
    "\uffec\027\uffec\030\uffec\035\uffec\001\002\000\004\011\216" +
    "\001\002\000\010\031\217\032\222\033\221\001\002\000" +
    "\004\010\uffdd\001\002\000\004\010\223\001\002\000\004" +
    "\010\uffdb\001\002\000\004\010\uffdc\001\002\000\014\034" +
    "\036\036\035\037\034\043\040\044\037\001\002\000\004" +
    "\014\225\001\002\000\050\002\uffe8\004\uffe8\005\uffe8\006" +
    "\uffe8\007\uffe8\011\uffe8\012\uffe8\016\uffe8\017\uffe8\020\uffe8" +
    "\021\uffe8\022\uffe8\023\uffe8\024\uffe8\025\uffe8\026\uffe8\027" +
    "\uffe8\030\uffe8\035\uffe8\001\002" });

  /** Access to parse-action table. */
  public short[][] action_table() {return _action_table;}

  /** <code>reduce_goto</code> table. */
  protected static final short[][] _reduce_table = 
    unpackFromStrings(new String[] {
    "\000\223\000\010\002\026\003\010\004\003\001\001\000" +
    "\002\001\001\000\002\001\001\000\002\001\001\000\002" +
    "\001\001\000\002\001\001\000\004\004\071\001\001\000" +
    "\002\001\001\000\002\001\001\000\002\001\001\000\002" +
    "\001\001\000\002\001\001\000\002\001\001\000\002\001" +
    "\001\000\002\001\001\000\002\001\001\000\002\001\001" +
    "\000\002\001\001\000\002\001\001\000\002\001\001\000" +
    "\002\001\001\000\002\001\001\000\002\001\001\000\004" +
    "\005\032\001\001\000\002\001\001\000\002\001\001\000" +
    "\002\001\001\000\002\001\001\000\002\001\001\000\002" +
    "\001\001\000\004\005\041\001\001\000\002\001\001\000" +
    "\004\006\045\001\001\000\002\001\001\000\002\001\001" +
    "\000\002\001\001\000\002\001\001\000\002\001\001\000" +
    "\004\005\051\001\001\000\002\001\001\000\004\005\053" +
    "\001\001\000\002\001\001\000\004\006\055\001\001\000" +
    "\002\001\001\000\004\005\057\001\001\000\002\001\001" +
    "\000\004\005\061\001\001\000\002\001\001\000\004\006" +
    "\063\001\001\000\002\001\001\000\002\001\001\000\002" +
    "\001\001\000\002\001\001\000\006\003\070\004\003\001" +
    "\001\000\004\004\071\001\001\000\002\001\001\000\002" +
    "\001\001\000\002\001\001\000\002\001\001\000\002\001" +
    "\001\000\002\001\001\000\004\005\100\001\001\000\002" +
    "\001\001\000\004\005\102\001\001\000\002\001\001\000" +
    "\004\006\104\001\001\000\002\001\001\000\004\005\106" +
    "\001\001\000\002\001\001\000\004\005\110\001\001\000" +
    "\002\001\001\000\004\006\112\001\001\000\002\001\001" +
    "\000\002\001\001\000\002\001\001\000\002\001\001\000" +
    "\002\001\001\000\004\005\120\001\001\000\002\001\001" +
    "\000\004\005\122\001\001\000\002\001\001\000\004\006" +
    "\124\001\001\000\002\001\001\000\004\005\126\001\001" +
    "\000\002\001\001\000\002\001\001\000\002\001\001\000" +
    "\004\005\132\001\001\000\002\001\001\000\004\006\134" +
    "\001\001\000\002\001\001\000\004\005\136\001\001\000" +
    "\002\001\001\000\004\006\140\001\001\000\002\001\001" +
    "\000\004\005\142\001\001\000\002\001\001\000\002\001" +
    "\001\000\002\001\001\000\002\001\001\000\002\001\001" +
    "\000\002\001\001\000\002\001\001\000\002\001\001\000" +
    "\004\005\153\001\001\000\002\001\001\000\004\005\155" +
    "\001\001\000\002\001\001\000\004\006\157\001\001\000" +
    "\002\001\001\000\004\005\161\001\001\000\002\001\001" +
    "\000\004\005\163\001\001\000\002\001\001\000\004\006" +
    "\165\001\001\000\002\001\001\000\004\005\167\001\001" +
    "\000\002\001\001\000\004\005\171\001\001\000\002\001" +
    "\001\000\004\006\173\001\001\000\002\001\001\000\002" +
    "\001\001\000\002\001\001\000\004\006\177\001\001\000" +
    "\002\001\001\000\004\005\201\001\001\000\002\001\001" +
    "\000\004\005\203\001\001\000\002\001\001\000\004\006" +
    "\205\001\001\000\002\001\001\000\004\005\207\001\001" +
    "\000\002\001\001\000\004\005\211\001\001\000\002\001" +
    "\001\000\004\006\213\001\001\000\002\001\001\000\002" +
    "\001\001\000\004\007\217\001\001\000\002\001\001\000" +
    "\002\001\001\000\002\001\001\000\002\001\001\000\004" +
    "\005\223\001\001\000\002\001\001\000\002\001\001" });

  /** Access to <code>reduce_goto</code> table. */
  public short[][] reduce_table() {return _reduce_table;}

  /** Instance of action encapsulation class. */
  protected CUP$A_Sintactico$actions action_obj;

  /** Action encapsulation object initializer. */
  protected void init_actions()
    {
      action_obj = new CUP$A_Sintactico$actions(this);
    }

  /** Invoke a user supplied parse action. */
  public java_cup.runtime.Symbol do_action(
    int                        act_num,
    java_cup.runtime.lr_parser parser,
    java.util.Stack            stack,
    int                        top)
    throws java.lang.Exception
  {
    /* call code in generated class */
    return action_obj.CUP$A_Sintactico$do_action(act_num, parser, stack, top);
  }

  /** Indicates start state. */
  public int start_state() {return 0;}
  /** Indicates start production. */
  public int start_production() {return 0;}

  /** <code>EOF</code> Symbol index. */
  public int EOF_sym() {return 0;}

  /** <code>error</code> Symbol index. */
  public int error_sym() {return 1;}



    
    public String resultado="";
    public LinkedList<Nodo4D> Estructura = new LinkedList<>(); 

    //Metodo al que se llama automaticamente ante algun error sintactico
    public void syntax_error(Symbol s)
    {        
        String lexema = s.value.toString();
        int fila = s.right;
        int columna = s.left;
        
        System.out.println("!!!!!!! Error Sintactico Recuperado !!!!!!!");
        System.out.println("\t\tLexema: "+lexema);
        System.out.println("\t\tFila: "+fila);
        System.out.println("\t\tColumna: "+columna);

        //Draco.AgregarError(lexema, "Error sintactico recuperado", fila, columna, "Sintactico");
    }

    //Metodo al que se llama en el momento en que ya no es posible una recuperacion de errores
    public void unrecovered_syntax_error(Symbol s) throws java.lang.Exception
    {        
        String lexema = s.value.toString();
        int fila = s.right;
        int columna = s.left;
        
        System.out.println("!!!!!!! Error Sintactico, Panic Mode !!!!!!! ");
        System.out.println("\t\tLexema: "+lexema);
        System.out.println("\t\tFila: "+fila);
        System.out.println("\t\tColumna: "+columna);
        //Draco.AgregarError(lexema, "Error sintactico no recuperado", fila, columna, "Sintactico");
    }


/** Cup generated class to encapsulate user supplied action code.*/
@SuppressWarnings({"rawtypes", "unchecked", "unused"})
class CUP$A_Sintactico$actions {



  private final A_Sintactico parser;

  /** Constructor */
  CUP$A_Sintactico$actions(A_Sintactico parser) {
    this.parser = parser;
  }

  /** Method 0 with the actual generated action code for actions 0 to 300. */
  public final java_cup.runtime.Symbol CUP$A_Sintactico$do_action_part00000000(
    int                        CUP$A_Sintactico$act_num,
    java_cup.runtime.lr_parser CUP$A_Sintactico$parser,
    java.util.Stack            CUP$A_Sintactico$stack,
    int                        CUP$A_Sintactico$top)
    throws java.lang.Exception
    {
      /* Symbol object for return from actions */
      java_cup.runtime.Symbol CUP$A_Sintactico$result;

      /* select the action based on the action number */
      switch (CUP$A_Sintactico$act_num)
        {
          /*. . . . . . . . . . . . . . . . . . . .*/
          case 0: // $START ::= INICIO EOF 
            {
              Object RESULT =null;
		int start_valleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)).left;
		int start_valright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)).right;
		Object start_val = (Object)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)).value;
		RESULT = start_val;
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("$START",0, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          /* ACCEPT */
          CUP$A_Sintactico$parser.done_parsing();
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 1: // INICIO ::= LISTA_OPERACIONES 
            {
              Object RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		LinkedList<Nodo4D> a = (LinkedList<Nodo4D>)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
Estructura = a;
System.out.println("Identificado");
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("INICIO",0, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 2: // LISTA_OPERACIONES ::= LISTA_OPERACIONES OPERACION 
            {
              LinkedList<Nodo4D> RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)).right;
		LinkedList<Nodo4D> a = (LinkedList<Nodo4D>)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
    a.add(b);
    RESULT = a;

              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("LISTA_OPERACIONES",1, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 3: // LISTA_OPERACIONES ::= OPERACION 
            {
              LinkedList<Nodo4D> RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		 
    LinkedList<Nodo4D> envio = new LinkedList<>();
    envio.add(a);
    RESULT = envio;
 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("LISTA_OPERACIONES",1, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 4: // OPERACION ::= mas coma DIRECCION coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int cleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int cright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D c = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Operacion envio = new Operacion(Operacion.TipoOpe.SUMA, a, b, c);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 5: // OPERACION ::= menos coma DIRECCION coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int cleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int cright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D c = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Operacion envio = new Operacion(Operacion.TipoOpe.RESTA, a, b, c);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 6: // OPERACION ::= por coma DIRECCION coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int cleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int cright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D c = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Operacion envio = new Operacion(Operacion.TipoOpe.MULTIPLICACION, a, b, c);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 7: // OPERACION ::= div coma DIRECCION coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int cleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int cright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D c = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Operacion envio = new Operacion(Operacion.TipoOpe.DIVISION, a, b, c);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 8: // OPERACION ::= mod coma DIRECCION coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int cleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int cright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D c = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Operacion envio = new Operacion(Operacion.TipoOpe.MODULAR, a, b, c);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 9: // OPERACION ::= igual coma DIRECCION coma DIRECCION coma stack 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		
                Asignacion envio = new Asignacion(Asignacion.TipoAsignacion.STACK, a, b);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 10: // OPERACION ::= igual coma DIRECCION coma DIRECCION coma heap 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		
                Asignacion envio = new Asignacion(Asignacion.TipoAsignacion.HEAP, a, b);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 11: // OPERACION ::= igual coma DIRECCION coma coma temp 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-3)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-3)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-3)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Object b = (Object)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Asignacion envio = new Asignacion(Asignacion.TipoAsignacion.TEMP, a, b.toString());    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-5)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 12: // OPERACION ::= igual coma DIRECCION coma coma ptrs 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-3)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-3)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-3)).value;
		
                Asignacion envio = new Asignacion(Asignacion.TipoAsignacion.PTRS, a);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-5)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 13: // OPERACION ::= igual coma DIRECCION coma coma ptrh 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-3)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-3)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-3)).value;
		
                Asignacion envio = new Asignacion(Asignacion.TipoAsignacion.PTRH, a);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-5)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 14: // OPERACION ::= igual coma stack coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                AsignaEDD envio =  new AsignaEDD(AsignaEDD.TipoEDD.STACK, a, b);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 15: // OPERACION ::= igual coma heap coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                AsignaEDD envio =  new AsignaEDD(AsignaEDD.TipoEDD.HEAP, a, b);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 16: // OPERACION ::= je coma DIRECCION coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int cleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int cright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D c = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Salto envio = new Salto(Salto.TipoSalto.JE, a, b, c);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 17: // OPERACION ::= jne coma DIRECCION coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int cleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int cright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D c = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Salto envio = new Salto(Salto.TipoSalto.JNE, a, b, c);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 18: // OPERACION ::= jg coma DIRECCION coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int cleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int cright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D c = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Salto envio = new Salto(Salto.TipoSalto.JG, a, b, c);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 19: // OPERACION ::= jl coma DIRECCION coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int cleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int cright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D c = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Salto envio = new Salto(Salto.TipoSalto.JL, a, b, c);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 20: // OPERACION ::= jge coma DIRECCION coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int cleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int cright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D c = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Salto envio = new Salto(Salto.TipoSalto.JGE, a, b, c);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 21: // OPERACION ::= jle coma DIRECCION coma DIRECCION coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).right;
		Nodo4D b = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-2)).value;
		int cleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int cright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D c = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Salto envio = new Salto(Salto.TipoSalto.JLE, a, b, c);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 22: // OPERACION ::= jmp coma coma coma RESULTADO 
            {
              Nodo4D RESULT =null;
		int cleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int cright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Nodo4D c = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		
                Salto envio = new Salto(Salto.TipoSalto.JMP, c);    
                RESULT = envio;
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 23: // OPERACION ::= begin coma coma coma id LISTA_OPERACIONES end coma coma coma id 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)).right;
		Object a = (Object)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)).value;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-5)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-5)).right;
		LinkedList<Nodo4D> b = (LinkedList<Nodo4D>)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-5)).value;
		
                RESULT = new Funcion(a.toString(), b);
            
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-10)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 24: // OPERACION ::= call coma coma coma id 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Object a = (Object)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		 RESULT = new LlamadaFuncion(a.toString()); 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-4)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 25: // OPERACION ::= print parabre mod TIPOS coma DIRECCION parcierra 
            {
              Nodo4D RESULT =null;
		int bleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-3)).left;
		int bright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-3)).right;
		Nodo4D.TipoImpresion b = (Nodo4D.TipoImpresion)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-3)).value;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)).right;
		Nodo4D a = (Nodo4D)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)).value;
		 RESULT = new Imprimir(b,a); 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-6)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 26: // OPERACION ::= etq dospuntos 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)).right;
		Object a = (Object)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)).value;
		 RESULT = new Etiqueta(a.toString()); 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("OPERACION",2, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.elementAt(CUP$A_Sintactico$top-1)), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 27: // DIRECCION ::= temp 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Object a = (Object)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		 RESULT = new Direccion(Direccion.TipoDirec.TEMPORAL, a.toString()); 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("DIRECCION",3, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 28: // DIRECCION ::= numero 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Object a = (Object)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		 RESULT = new Direccion(Direccion.TipoDirec.NUMERO, a.toString()); 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("DIRECCION",3, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 29: // DIRECCION ::= decimal 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Object a = (Object)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		 RESULT = new Direccion(Direccion.TipoDirec.NUMERO, a.toString()); 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("DIRECCION",3, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 30: // DIRECCION ::= ptrs 
            {
              Nodo4D RESULT =null;
		 RESULT = new Direccion(Direccion.TipoDirec.PSTACK); 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("DIRECCION",3, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 31: // DIRECCION ::= ptrh 
            {
              Nodo4D RESULT =null;
		 RESULT = new Direccion(Direccion.TipoDirec.PHEAP); 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("DIRECCION",3, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 32: // RESULTADO ::= temp 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Object a = (Object)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		 RESULT = new SetTemp(a.toString()); 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("RESULTADO",4, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 33: // RESULTADO ::= etq 
            {
              Nodo4D RESULT =null;
		int aleft = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).left;
		int aright = ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()).right;
		Object a = (Object)((java_cup.runtime.Symbol) CUP$A_Sintactico$stack.peek()).value;
		 RESULT = new EtqSalto(a.toString()); 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("RESULTADO",4, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 34: // RESULTADO ::= ptrs 
            {
              Nodo4D RESULT =null;
		 RESULT = new SetP(); 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("RESULTADO",4, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 35: // RESULTADO ::= ptrh 
            {
              Nodo4D RESULT =null;
		 RESULT = new SetH(); 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("RESULTADO",4, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 36: // TIPOS ::= tipoc 
            {
              Nodo4D.TipoImpresion RESULT =null;
		 RESULT = Nodo4D.TipoImpresion.FLOTANTE; 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("TIPOS",5, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 37: // TIPOS ::= tipod 
            {
              Nodo4D.TipoImpresion RESULT =null;
		 RESULT = Nodo4D.TipoImpresion.FLOTANTE; 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("TIPOS",5, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /*. . . . . . . . . . . . . . . . . . . .*/
          case 38: // TIPOS ::= tipoe 
            {
              Nodo4D.TipoImpresion RESULT =null;
		 RESULT = Nodo4D.TipoImpresion.FLOTANTE; 
              CUP$A_Sintactico$result = parser.getSymbolFactory().newSymbol("TIPOS",5, ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), ((java_cup.runtime.Symbol)CUP$A_Sintactico$stack.peek()), RESULT);
            }
          return CUP$A_Sintactico$result;

          /* . . . . . .*/
          default:
            throw new Exception(
               "Invalid action number "+CUP$A_Sintactico$act_num+"found in internal parse table");

        }
    } /* end of method */

  /** Method splitting the generated action code into several parts. */
  public final java_cup.runtime.Symbol CUP$A_Sintactico$do_action(
    int                        CUP$A_Sintactico$act_num,
    java_cup.runtime.lr_parser CUP$A_Sintactico$parser,
    java.util.Stack            CUP$A_Sintactico$stack,
    int                        CUP$A_Sintactico$top)
    throws java.lang.Exception
    {
              return CUP$A_Sintactico$do_action_part00000000(
                               CUP$A_Sintactico$act_num,
                               CUP$A_Sintactico$parser,
                               CUP$A_Sintactico$stack,
                               CUP$A_Sintactico$top);
    }
}

}
